Functions
BLE Communication timer and core configuration function
Peripheral Driver » HAL Driver » PWR » Functions
Collaboration diagram for BLE Communication timer and core configuration function:

## Functions
void | hal_pwr_set_comm_power (uint32_t timer_power_state, uint32_t core_power_state)
| Set the power state of communication timer and communication core in running mode. More...
void | hal_pwr_set_comm_mode (uint32_t timer_mode, uint32_t core_mode)
| Set the work mode of communication timer and communication core. More...
hal_status_t | hal_pwr_get_timer_current_value (uint32_t timer_type, uint32_t *p_value)
| Get the current value of specified timer. More...

## Detailed Description

## Function Documentation

## ◆ hal_pwr_get_timer_current_value()

hal_status_t hal_pwr_get_timer_current_value | ( | uint32_t | timer_type,
|  | uint32_t * | p_value
| ) |  |

Get the current value of specified timer.

Note
  Only available on GR5515_C and later versions.

Parameters

  [in] | timer_type | This parameter can be one of the following values: PWR_TIMER_TYPE_CAL_TIMER PWR_TIMER_TYPE_AON_WDT PWR_TIMER_TYPE_SLP_TIMER PWR_TIMER_TYPE_CAL_ALARM
  [out] | p_value | Pointer to an integer storing current value

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_pwr_set_comm_mode()

void hal_pwr_set_comm_mode | ( | uint32_t | timer_mode,
|  | uint32_t | core_mode
| ) |  |

Set the work mode of communication timer and communication core.

Parameters

  [in] | timer_mode | This parameter can be one of the following values: PWR_COMM_TIMER_MODE_RESET PWR_COMM_TIMER_MODE_RUNNING
  [in] | core_mode | This parameter can be one of the following values: PWR_COMM_CORE_MODE_RESET PWR_COMM_CORE_MODE_RUNNING

## ◆ hal_pwr_set_comm_power()

void hal_pwr_set_comm_power | ( | uint32_t | timer_power_state,
|  | uint32_t | core_power_state
| ) |  |

Set the power state of communication timer and communication core in running mode.

Parameters

  [in] | timer_power_state | This parameter can be one of the following values: PWR_COMM_TIMER_POWER_UP PWR_COMM_TIMER_POWER_DOWN
  [in] | core_power_state | This parameter can be one of the following values: PWR_COMM_CORE_POWER_UP PWR_COMM_CORE_POWER_DOWN